(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8444,        274]
NotebookOptionsPosition[      7694,        248]
NotebookOutlinePosition[      8036,        263]
CellTagsIndexPosition[      7993,        260]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"m1", "  ", "vi1"}], "+", 
       RowBox[{"m2", "  ", "vi2"}]}], "==", 
      RowBox[{
       RowBox[{"m1", "  ", "vf1"}], "+", 
       RowBox[{"m2", "  ", "vf2"}]}]}], ",", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"m1", "  ", 
         SuperscriptBox["vi1", "2"]}], "2"], "+", 
       FractionBox[
        RowBox[{"m2", "  ", 
         SuperscriptBox["vi2", "2"]}], "2"]}], "==", 
      RowBox[{
       FractionBox[
        RowBox[{"m1", "  ", 
         SuperscriptBox["vf1", "2"]}], "2"], "+", 
       FractionBox[
        RowBox[{"m2", "  ", 
         SuperscriptBox["vf2", "2"]}], "2"]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m1", "\[Rule]", "1"}], ",", 
     RowBox[{"m2", "\[Rule]", "1"}], ",", 
     RowBox[{"vi1", "\[Rule]", "10"}], ",", 
     RowBox[{"vi2", "\[Rule]", "0"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.424658727296875*^9, {3.424703752375*^9, 3.42470375378125*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{"eq", ",", 
   RowBox[{"{", 
    RowBox[{"vf1", ",", "vf2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4246587526875*^9, 3.424658760828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"eq", ",", 
    RowBox[{"{", 
     RowBox[{"vf1", ",", "vf2"}], "}"}]}], "]"}], "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{3.4246588779375*^9}],

Cell[BoxData[
 RowBox[{"ans", "=", 
  RowBox[{
   RowBox[{"%%", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", "val"}]}]], "Input",
 CellChangeTimes->{{3.42465877515625*^9, 3.424658844765625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"coord1", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vi1", " ", "t"}], ",", "t"}], "}"}], "/.", 
   RowBox[{"val", "/;", 
    RowBox[{"t", "\[LessEqual]", "0"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coord1", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vf1", " ", "t"}], ",", "t"}], "}"}], "/.", 
   RowBox[{"ans", "/;", 
    RowBox[{"t", ">", "0"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.424658939203125*^9, 3.4246589516875*^9}, {
  3.4247044178125*^9, 3.42470443959375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"coord2", "[", 
   RowBox[{"t_", "/;", 
    RowBox[{"t", "\[LessEqual]", "0"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vi2", " ", "t"}], ",", "t"}], "}"}], "/.", 
   "val"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coord2", "[", 
   RowBox[{"t_", "/;", 
    RowBox[{"t", ">", "0"}]}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vf2", " ", "t"}], ",", "t"}], "}"}], "/.", "ans"}]}]}], "Input",
 CellChangeTimes->{{3.4246589678125*^9, 3.424658969203125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"coordplot1", "[", "t_", "]"}], ":=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"coord1", "[", "t", "]"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<t\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "100"}], ",", "100"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424659013375*^9}],

Cell[BoxData[
 RowBox[{"plotarray1", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"coordplot1", "[", "d", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", 
      RowBox[{"-", "10"}], ",", "10", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.42465901878125*^9, 3.42465906628125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"coordplot2", "[", "t_", "]"}], ":=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"coord2", "[", "t", "]"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<t\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "100"}], ",", "100"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.42465902459375*^9}],

Cell[BoxData[
 RowBox[{"plotarray2", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"coordplot2", "[", "d", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", 
      RowBox[{"-", "10"}], ",", "10", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424659033140625*^9, 3.424659052765625*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plotarray1", ",", "plotarray2"}], "]"}]], "Input",
 CellChangeTimes->{{3.42465904021875*^9, 3.424659043296875*^9}}],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"coordplot1", "[", "n", "]"}], ",", 
     RowBox[{"coordplot2", "[", "n", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", 
     RowBox[{"-", "10"}], ",", "10", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424659218109375*^9, 3.42465928815625*^9}, {
  3.4246593209375*^9, 3.42465933103125*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{587, 544},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 1133, 37, 98, "Input"],
Cell[1823, 63, 199, 5, 31, "Input"],
Cell[2025, 70, 229, 7, 31, "Input"],
Cell[2257, 79, 197, 5, 31, "Input"],
Cell[2457, 86, 598, 18, 52, "Input"],
Cell[3058, 106, 556, 18, 52, "Input"],
Cell[3617, 126, 1017, 29, 112, "Input"],
Cell[4637, 157, 310, 8, 31, "Input"],
Cell[4950, 167, 1019, 29, 112, "Input"],
Cell[5972, 198, 314, 8, 31, "Input"],
Cell[6289, 208, 163, 3, 31, "Input"],
Cell[6455, 213, 423, 11, 31, "Input"],
Cell[6881, 226, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
